iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MAMultiPoint Class Reference

`#import <MAMultiPoint.h>`

Inheritance diagram for MAMultiPoint:

## Instance Methods
(void) | - getCoordinates:range:
| 将内部的坐标点数据转化为经纬度坐标并拷贝到coords内存中 Convert the internal coordinate point data into latitude and longitude coordinates and copy them to the coords memory More...
Instance Methods inherited from <MAOverlay>
(CLLocationCoordinate2D) | - coordinate
(MAMapRect) | - boundingMapRect
Instance Methods inherited from <MAAnnotation>
(void) | - setCoordinate:
| 设置标注的坐标，在拖拽时会被调用. Set the coordinates of the annotation, which will be called during dragging More...

## Properties
MAMapPoint * | points
NSUInteger | pointCount
BOOL | cross180Longitude
Properties inherited from MAShape
NSString * | title
| 标题 Title More...
NSString * | subtitle
| 副标题 Subtitle More...
Properties inherited from MABaseOverlay
CLLocationCoordinate2D | coordinate
MAMapRect | boundingMapRect
double | altitude
Properties inherited from <MAAnnotation>
NSString * | title
NSString * | subtitle
double | altitude

## Additional Inherited Members
Protected Attributes inherited from MAShape
NSString * | _title
| 标题 Title More...
NSString * | _subtitle
| 副标题 Subtitle More...
Protected Attributes inherited from MABaseOverlay
double | _altitude
| 海拔 Elevation More...

## Detailed Description

该类是个由多个点组成的虚基类, 不能直接实例化对象, 要使用其子类MAPolyline,MAPolygon来实例化 This class is an abstract base class composed of multiple points and cannot be directly instantiated. Use its subclasses MAPolyline and MAPolygon for instantiation

## Method Documentation

## ◆ getCoordinates:range:

- (void) getCoordinates: |  | (CLLocationCoordinate2D *) | coords
range: |  | (NSRange) | range

将内部的坐标点数据转化为经纬度坐标并拷贝到coords内存中 Convert the internal coordinate point data into latitude and longitude coordinates and copy them to the coords memory

Parameters

  coords | 调用者提供的内存空间, 该空间长度必须大于等于要拷贝的坐标点的个数（range.length） The memory space provided by the caller must be greater than or equal to the number of coordinate points to be copied.（range.length）
  range | 要拷贝的数据范围 Data range to be copied

## Property Documentation

## ◆ cross180Longitude

- (BOOL) cross180Longitude
| read nonatomic assign

是否跨越180度经度线，默认NO since 6.4.0 Whether to cross the 180th meridian, default NO since 6.4.0

## ◆ pointCount

- (NSUInteger) pointCount
| read nonatomic assign

坐标点的个数 number of coordinate points

## ◆ points

- (MAMapPoint*) points
| read nonatomic assign

坐标点数组 coordinate point array

The documentation for this class was generated from the following file:

- MAMultiPoint.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。